libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
MSN::P2P::p2pSession Struct Reference

List of all members.

## Public Attributes
bool | sending
unsigned long long | totalDataSize
unsigned int | step
unsigned int | currentIdentifier
unsigned int | baseIdentifier
unsigned int | CSeq
unsigned int | sessionID
unsigned int | appID
MSN::FileTransferConnectionP2P * | fileTransfer
std::string | from
std::string | to
std::string | CallID
std::string | Via
std::string | ContentType
std::string | Context
std::string | filename
std::ifstream * | out_stream
std::ofstream * | in_stream
std::string | ConnType
std::string | Bridges
std::string | NetID
std::string | UPnPNat
std::string | Listening
std::string | ICF
std::string | IPv4InternalAddrs
std::string | IPv4InternalPort
std::string | IPv4ExternalAddrs
std::string | IPv4ExternalPort
p2pTransferObj | typeTransfer
std::string | emoticonAlias
p2pPacket | tempPacket
std::string | ink

The documentation for this struct was generated from the following file:

- /home/salem/libmsn/tags/libmsn-4.2/msn/p2p.h

All Classes Namespaces Functions Variables Enumerations Enumerator